<Project Sdk="Microsoft.NET.Sdk.Razor">

    <PropertyGroup>
	<OutputType>WinExe</OutputType>
        <TargetFramework>net7.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <ApplicationIcon>favicon.ico</ApplicationIcon>
        <Platforms>AnyCPU;x64</Platforms>
    </PropertyGroup>

    <ItemGroup>
      <COMReference Include="zkemkeeper">
        <WrapperTool>tlbimp</WrapperTool>
        <VersionMinor>0</VersionMinor>
        <VersionMajor>1</VersionMajor>
        <Guid>fe9ded34-e159-408e-8490-b720a5e632c7</Guid>
        <Lcid>0</Lcid>
        <Isolated>false</Isolated>
        <EmbedInteropTypes>False</EmbedInteropTypes>
      </COMReference>
      <COMReference Include="gregn6Lib">
        <WrapperTool>tlbimp</WrapperTool>
        <VersionMinor>0</VersionMinor>
        <VersionMajor>6</VersionMajor>
        <Guid>4018f953-1bfe-441e-8a04-dc8ba1ff060e</Guid>
        <Lcid>0</Lcid>
        <Isolated>false</Isolated>
        <EmbedInteropTypes>False</EmbedInteropTypes>
      </COMReference>
    </ItemGroup>

	<ItemGroup>
		<PackageReference Include="FluentValidation" Version="11.9.1" />
		<PackageReference Include="linq2db.AspNet" Version="5.4.1" />
		<PackageReference Include="log4net" Version="2.0.17" />
		<PackageReference Include="MySql.Data" Version="8.4.0" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
		<PackageReference Include="Photino.Blazor" Version="2.7.0" />
		<PackageReference Include="Radzen.Blazor" Version="4.32.1" />
		<PackageReference Include="SharpPromise" Version="1.7.0" />
		<PackageReference Include="SuperSimpleTcp" Version="3.0.14" />
		<PackageReference Include="System.IO.Ports" Version="8.0.0" />
		<PackageReference Include="System.Management" Version="8.0.0" />
		<PackageReference Include="System.Speech" Version="8.0.0" />
	</ItemGroup>

	<ItemGroup>
		<Content Update="wwwroot\**">
			<CopyToOutputDirectory>Always</CopyToOutputDirectory>
		</Content>
	</ItemGroup>

	<ItemGroup>
	  <Content Update="appsettings.json">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Content>
	  <Content Update="log4net.config">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Content>
	</ItemGroup>

	<ItemGroup>
	  <None Remove="i18ntext\MyText.zh.json" />
	</ItemGroup>

	<ItemGroup>
	  <None Remove="i18ntext\MyText.en.json" />
	</ItemGroup>

	<ItemGroup>
	  <Content Include="favicon.ico">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </Content>
	</ItemGroup>

	<ItemGroup>
	  <None Update="favicon.ico">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\account_book_temp.grf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\use_book.grf">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\machine_log_add.grf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\machine_log_check.grf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\machine_log_return.grf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\machine_log_take.grf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\stock_template.grf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	  <None Update="ReportTemp\Usage_Temp.grf">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	</ItemGroup>
</Project>
